// creator  : weidu.exe (version 23600)
// argument : SHARTP.DLG
// game     : .
// source   : ./DATA/DIALOG.BIF
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~SHARTP~

IF ~  Gender(Player1,MALE)
!HappinessLT(Myself,UNHAPPY_ANGRY_BOUNDARY)
Global("KickedOut","LOCALS",0)
~ THEN BEGIN 0 // from:
  SAY #15856 /* ~Damn it, you lose one well-fought duel to an oafish lout of a man and you get attached. I almost hate to say it but you've earned my respect.~ */
  IF ~~ THEN DO ~SetGlobal("KickedOut","LOCALS",1)
~ EXIT
END

IF ~  HappinessLT(Myself,UNHAPPY_ANGRY_BOUNDARY)
~ THEN BEGIN 1 // from:
  SAY #15857 /* ~Ah, I'm finally released from this infernal duty! I swear by every god in a million pantheons that I will NEVER lose a duel to another overly masculine thug in my life.~ */
  IF ~~ THEN DO ~SetGlobal("KickedOut","LOCALS",1)
EscapeArea()
~ EXIT
END

IF ~  !HappinessLT(Myself,UNHAPPY_ANGRY_BOUNDARY)
Global("KickedOut","LOCALS",1)
~ THEN BEGIN 2 // from:
  SAY #15858 /* ~You have returned. That is fortunate, as I do not feel I have truly paid my debt to you just yet.~ */
  IF ~~ THEN REPLY #15859 /* ~A debt you have, but I do not wish to collect at this time. Perhaps later.~ */ GOTO 4
  IF ~~ THEN REPLY #15860 /* ~I do have need of you, but not because of your debt. Your skill is invaluable to me.~ */ GOTO 3
END

IF ~~ THEN BEGIN 3 // from: 2.1
  SAY #15861 /* ~Make no mistake: I follow you only because of your prowess in battle. When that falters, so does my loyalty.~ */
  IF ~~ THEN DO ~SetGlobal("KickedOut","LOCALS",0)
JoinParty()
~ EXIT
END

IF ~~ THEN BEGIN 4 // from: 2.0
  SAY #15862 /* ~Do not try my patience! I will wait for a time, but I have no tolerance of ungrateful winners.~ */
  IF ~~ THEN DO ~SetGlobal("KickedOut","LOCALS",1)
ChangeAIScript("",DEFAULT)
~ EXIT
END

IF ~  Gender(Player1,FEMALE)
!HappinessLT(Myself,UNHAPPY_ANGRY_BOUNDARY)
Global("KickedOut","LOCALS",0)
~ THEN BEGIN 5 // from:
  SAY #32188 /* ~Fighting alongside that boorish idiot was almost bearable with a strong woman like you to keep him in line. Until we cross paths again, <CHARNAME>. Don't think yourself second to any man.~ */
  IF ~~ THEN DO ~SetGlobal("KickedOut","LOCALS",1)
~ EXIT
END
